cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/configurator/jobs/{jobId}import requests
url = "https://api.staging.qyl.dev/api/v1/configurator/jobs/{jobId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/configurator/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"profile_id": "<string>",
"job_type": "full",
"status": "queued",
"priority": 123,
"queued_at": "2023-11-07T05:31:56Z",
"input_hash": "<string>",
"output_path": "<string>",
"output_hash": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Configurator
Get apiv1configuratorjobs
Get generation job status
GET
/
api
/
v1
/
configurator
/
jobs
/
{jobId}
cURL
Path Parameters
Response
The request has succeeded.
Code generation job entry
Job ID
Workspace
Profile
Job type
Available options:
full, incremental, preview Job status
Available options:
queued, running, completed, failed, cancelled Priority (higher = more urgent)
Queue timestamp
Hash of inputs for dedup
Local path where output was written
Hash of generated output
Error message if failed
Start timestamp
Completion timestamp
Duration in milliseconds
Was this page helpful?
